# support.exe - Quick remote support with reverse VNC
# Copyright (C) 2013 Josep Portella Florit
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


set -e

. CONFIG

DIR=tightvnc-$TVNC_VERSION
MSI=tightvnc-$TVNC_VERSION-setup-$TVNC_ARCH.msi

mkdir -p $DIR

if [ ! -f $DIR/$MSI ]; then
    wget -O $DIR/$MSI http://www.tightvnc.com/download/$TVNC_VERSION/$MSI
fi

extract_file () {
    if [ ! -f $DIR/$2 ]; then
        7z e -o$DIR $DIR/$MSI $1
        mv $DIR/$1 $DIR/$2
    fi
}

extract_file screenHooksFile screenhooks32.dll
extract_file tvnserverEXE tvnserver.exe

cat > support.nsi <<EOF
SetCompressor /SOLID lzma
Icon "support.ico"
OutFile "support.exe"
SilentInstall silent

Section "-Files"
  SetOutPath "\$TEMP"
  SetOverwrite off
  File "$DIR\\tvnserver.exe"
  File "$DIR\\screenhooks32.dll"
  Exec '"\$TEMP\\tvnserver.exe"'
  Sleep $SLEEP
  Exec '"\$TEMP\\tvnserver.exe" -controlapp -connect $HOST:$PORT'
SectionEnd
EOF

makensis support.nsi
